io.agora.rtc

## Class TranscodingVideoStream

- java.lang.Object
- - io.agora.rtc.TranscodingVideoStream

-     public class TranscodingVideoStream
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `alpha`
    `private int` | `height`
    `private java.lang.String` | `imageUrl`
    `private int` | `mirror`
    `private int` | `remoteUserUid`
    `private int` | `sourceType`
    `private int` | `width`
    `private int` | `x`
    `private int` | `y`
    `private int` | `zOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscodingVideoStream()`
    `TranscodingVideoStream(int sourceType, int remoteUserUid, java.lang.String imageUrl, int x, int y, int width, int height, int zOrder, double alpha, int mirror)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAlpha()`
    `int` | `getHeight()`
    `java.lang.String` | `getImageUrl()`
    `int` | `getMirror()`
    `int` | `getRemoteUserUid()`
    `int` | `getSourceType()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `int` | `getZOrder()`
    `void` | `setAlpha(double alpha)`
    `void` | `setHeight(int height)`
    `void` | `setImageUrl(java.lang.String imageUrl)`
    `void` | `setMirror(int mirror)`
    `void` | `setRemoteUserUid(int remoteUserUid)`
    `void` | `setSourceType(int sourceType)`
    `void` | `setWidth(int width)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`
    `void` | `setZOrder(int zOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceType

          private int sourceType

    - #### remoteUserUid

          private int remoteUserUid

    - #### imageUrl

          private java.lang.String imageUrl

    - #### x

          private int x

    - #### y

          private int y

    - #### width

          private int width

    - #### height

          private int height

    - #### zOrder

          private int zOrder

    - #### alpha

          private double alpha

    - #### mirror

          private int mirror

  - ### Constructor Detail

    - #### TranscodingVideoStream

          public TranscodingVideoStream()

    - #### TranscodingVideoStream

          public TranscodingVideoStream(int sourceType,
                                        int remoteUserUid,
                                        java.lang.String imageUrl,
                                        int x,
                                        int y,
                                        int width,
                                        int height,
                                        int zOrder,
                                        double alpha,
                                        int mirror)

  - ### Method Detail

    - #### getSourceType

          public int getSourceType()

    - #### setSourceType

          public void setSourceType(int sourceType)

    - #### getRemoteUserUid

          public int getRemoteUserUid()

    - #### setRemoteUserUid

          public void setRemoteUserUid(int remoteUserUid)

    - #### getImageUrl

          public java.lang.String getImageUrl()

    - #### setImageUrl

          public void setImageUrl(java.lang.String imageUrl)

    - #### getX

          public int getX()

    - #### setX

          public void setX(int x)

    - #### getY

          public int getY()

    - #### setY

          public void setY(int y)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getZOrder

          public int getZOrder()

    - #### setZOrder

          public void setZOrder(int zOrder)

    - #### getAlpha

          public double getAlpha()

    - #### setAlpha

          public void setAlpha(double alpha)

    - #### getMirror

          public int getMirror()

    - #### setMirror

          public void setMirror(int mirror)